Subject: Re: I can not get my MII working on MPC8247 with Linux 2.6.32.6

From: Scott Wood <[email-masked]>
Date: Wed, 31 Mar 2010 10:48:01 -0500

Peter Pan wrote:
> Recently, I'm porting Linux 2.6.32.6 to our customized MPC8247 based
> board. Everything is fine out except my ethernets. I uses
> cpm2-scc-enet and cpm2-fcc-enet drivers.
> My ethernet works fine in U-Boot with the same setting, and our
> previous Linux 2.6.22 is also working, so there should be nothing
> wrong with the hardware.
> The boot log of the MII part is:
> 
> CPM2 Bitbanged MII: probed
> mdio_bus f0010d00: error probing PHY at address 0
> mdio_bus f0010d00: error probing PHY at address 1

Are 0 and 1 the addresses you're expecting the PHYs to be at?

If that's not it, I'd try to examine the specific register accesses that 
2.6.22 is doing and see what's different.

-Scott